telephony.phoneNumbers.update
Repoint or rename a number.
Changing inbound_workflow_id re-syncs the inbound webhook with the provider; the response includes a provider_sync block with the result.
To remove an existing inbound binding, send clear_inbound_workflow: true. Sending inbound_workflow_id: null alone is treated as “no change”.
Reference
PUT/api/v1/organizations/telephony-configs/{config_id}/phone-numbers/{phone_number_id}
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · PhoneNumberResponse
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
config_id | path | integer | required | |
phone_number_id | path | integer | required | |
label | body | string | optional | |
inbound_workflow_id | body | integer | optional | |
clear_inbound_workflow | body | boolean | default false | |
callback_workflow_id | body | integer | optional | |
clear_callback_workflow | body | boolean | default false | |
is_active | body | boolean | optional | |
country_code | body | string | optional | |
extra_metadata | body | object | optional | |
inbound_contact_list_id | body | integer | optional | |
clear_inbound_contact_list | body | boolean | default false | |
inbound_require_known_caller | body | boolean | optional | |
inbound_max_calls_per_caller | body | integer | optional | |
inbound_call_window_hours | body | integer | optional | |
inbound_allow_list | body | string[] | optional |
Example request
curl -X PUT "https://api.decibyl.ai/api/v1/organizations/telephony-configs/<config_id>/phone-numbers/<phone_number_id>" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"label":"string","inbound_workflow_id":1,"clear_inbound_workflow":false,"callback_workflow_id":1,"clear_callback_workflow":false,"is_active":true,"country_code":"string","extra_metadata":{},"inbound_contact_list_id":1,"clear_inbound_contact_list":false,"inbound_require_known_caller":true,"inbound_max_calls_per_caller":1,"inbound_call_window_hours":1,"inbound_allow_list":["string"]}'Response
{
"id": 1,
"telephony_configuration_id": 1,
"address": "string",
"address_normalized": "string",
"address_type": "string",
"country_code": "string",
"label": "string",
"inbound_workflow_id": 1,
"inbound_workflow_name": "string",
"callback_workflow_id": 1,
"inbound_contact_list_id": 1,
"inbound_require_known_caller": false,
"inbound_max_calls_per_caller": 1,
"inbound_call_window_hours": 24,
"inbound_allow_list": [
"string"
],
"is_active": true,
"is_default_caller_id": true,
"extra_metadata": {},
"created_at": "2026-09-14T09:30:00Z",
"updated_at": "2026-09-14T09:30:00Z",
"status": "active",
"carrier_number_id": "string",
"provisioned_at": "2026-09-14T09:30:00Z",
"released_at": "2026-09-14T09:30:00Z",
"provider_sync": {
"ok": true,
"message": "string"
},
"predeclaration_status": "string"
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |